stockfish_7-0.1_i386.deb


Advertisement

Description

stockfish - strong chess engine, to play chess against

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: stockfish
Package version: 7
Package release: 0.1
Package architecture: i386
Package type: deb
Installed size: 305 B
Download size: 142.21 KB
Official Mirror: archive.ubuntu.com
free chess engine derived from Glaurung 2.1. It is a chess engine, so it requires an UCI (universal chess interface) compatible GUI like XBoard (with PolyGlot), eboard, Jose, Arena or scid in order to be used comfortably. It is the strongest open source chess engine by october 2009 in the "computer chess rating list" CCRL. Written in C++ it uses multiple threads and cores. It is capable of Chess960 and has experimental support for polyglot opening books.

Alternatives

    Download

    Binary package: stockfish_7-0.1_i386.deb
    Source package: stockfish

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install stockfish deb package:
      # sudo apt-get install stockfish

    Files

    • /usr/games/stockfish
    • /usr/share/doc/stockfish/Readme.md.gz
    • /usr/share/doc/stockfish/changelog.Debian.gz
    • /usr/share/doc/stockfish/copyright
    • /usr/share/doc/stockfish/engine-interface.txt.gz
    • /usr/share/man/man6/stockfish.6.gz

    Changelog

    2016-01-08 - Gianfranco Costamagna <locutusofborg@debian.org> stockfish (7-0.1) unstable; urgency=medium * Non-maintainer upload. * New upstream release 7 (Closes: #759003) - this bug was already fixed in version 6. * Bump std-version to 3.9.6, no changes required. * Update copyright file.

    2015-10-12 - Gianfranco Costamagna <locutusofborg@debian.org> stockfish (6-0.1) unstable; urgency=medium * Non-maintainer upload. * New upstream release 6 (Closes: #797327) - Closes: #699309 (fixed in 5.0 according to bug comment #17) * Drop quilt. * Update watch file. * Use quilt format. * Update copyright file.

    2014-08-23 - Oliver Korff <ok@xynyx.de> stockfish (5.0.dd+git20140823-1) unstable; urgency=low * New Upstream Version 5 (Closes: #756546) * No polyglot.ini in the sources anymore, patch removed * I am considering moving to the sources with Syzygy tablebases. If anybody has an opinion on that matter file a bug with explanation.

    2014-02-20 - Oliver Korff <ok@xynyx.de> stockfish (4.0.dd+git20140122-1) unstable; urgency=low * New Upstream Version 4 (Closes: #730504) * Removed makefile_patch_02 not needed anymore * Upgraded to Standards-Version 3.9.5, no package changes * Changed the binary path in polyglot.ini to /usr/games/stockfish Thx to Francesco Poli for filing the bug (Closes: #728920) * Changes to the watchfile, but this will not help scanning for new Versions.

    2013-06-09 - Oliver Korff <ok@xynyx.de> stockfish (3.0.0+git20130508-2) unstable; urgency=low * Upstream version 3.(Closes: #706554) * After fighting with the chroot environment on merulo I solved the build problem on ia64 and added a target for the arch to the rules file: profile-build ARCH=general-64 optimize=no (Closes: #679174)

    2013-06-08 - Oliver Korff <ok@xynyx.de> stockfish (3.0.0+git20130508-1) unstable; urgency=low * New Upstream version. (Closes: #706554) * The prefetch behaviour is now changed by upstream, so the makefile_patch_03 is not needed anymore.

    2012-10-12 - Oliver Korff <ok@xynyx.de> stockfish (2.3.1+git20121008-2) unstable; urgency=low * FTBFS on various archs due to a Makefile target change. This is fixed now by changing the prefetch behaviour.

    2012-10-11 - Oliver Korff <ok@xynyx.de> stockfish (2.3.1+git20121008-1) unstable; urgency=low * New Upstream version. * Updated to Standards-Version 3.9.4. No package changes. * Use dh_auto_build in rules (instead of make directly) and compat level 9 instead of 7. This sets the hardening build flags by default. The controlfile had to be ajusted to debhelper (>= 9). And the patch makefile_patch_02 is intrduced to make the hardening environment CXXFLAGS and LDFLAGS visible to the makefile.

    2012-02-02 - Oliver Korff <ok@xynyx.de> stockfish (2.2.2+git20120201-1) unstable; urgency=low * New Upstream version.

    2012-01-09 - Oliver Korff <ok@xynyx.de> stockfish (2.2.1+git20120109-1) unstable; urgency=low * New Upstream version. * Removed debian/patches/add-lgov-linker.patch: makes build fail on debian, the upstream Makefile now includes lgcov.

    Advertisement
    Advertisement